"Cannot mix incompatible Qt library" since last update [solved]

Discussions Regarding Software

Moderator: Moderators

Post Reply
andreios
Simple Hen
Posts: 59
Joined: Fri May 30, 2014 17:17

"Cannot mix incompatible Qt library" since last update [solved]

Post by andreios » Fri May 11, 2018 9:35

I'm using cinnamon and some KDE apps like Dolphin. When I start Dolphin it shows nothing but:

Code: Select all

The process for the file protocol died unexpectedly.
And in the syslogs is this message:

Code: Select all

kdeinit5[16683]: Cannot mix incompatible Qt library (version 0x50905) with this library (version 0x50904)
I'm updating weekly.
Last edited by andreios on Tue Sep 18, 2018 18:11, edited 1 time in total.

gentmixer
Simple Hen
Posts: 60
Joined: Wed Jan 17, 2018 17:21

Re: "Cannot mix incompatible Qt library" since last update

Post by gentmixer » Mon May 14, 2018 0:43

KDE and Cinnamon are incompatible (compiled with different Qt version)... This is not a single package problem but all environment issue, seems to me. Use some manager from Cinnamon. Revert to the previous working version (KDE or Cinnamon) or maybe wait a bit for the upstream flow... File a bug eventually.

andreios
Simple Hen
Posts: 59
Joined: Fri May 30, 2014 17:17

Re: "Cannot mix incompatible Qt library" since last update

Post by andreios » Mon May 14, 2018 10:35

Why ever, but something updated it self and the problem vanished.
But don't see any problem in using KDE apps in other desktop environments. We all have to do this all the Time.
Image an Linux Mint without working KDE Apps, that would be strange.

gentmixer
Simple Hen
Posts: 60
Joined: Wed Jan 17, 2018 17:21

Re: "Cannot mix incompatible Qt library" since last update

Post by gentmixer » Mon May 14, 2018 14:57

So you are happy... The environments consists from many packages (sometimes sets of packages) upgraded usually in a few stages... Sometimes waiting would be a good solution.

Post Reply